Exiv2 - Bug #1357

Support standard EXIF in PNG images
08 Jun 2018 13:13 - Phil Harvey

Status: New Start date: 08 Jun 2018
Priority: Normal Due date:

Assignee: Robin Mills % Done: 10%
Category: metadata Estimated time: 20.00 hours
Target version: 0.28

Description

The PNG 1.5.0 extension specification was released July 15, 2017 and specifies a standard location for EXIF metdata in PNG
images:

ftp://ftp.simplesystems.org/pub/png/documents/pngext-1.5.0.html

Exiv2 should support this. (Original issue discussed here: http://u88.n24.queensu.ca/exiftool/forum/index.php/topic,9262.0.html )
ExifTool has been writing this EXIF since version 10.59 (July 7, 2017).

History

#1 - 08 Jun 2018 13:20 - Robin Mills

- Category set to metadata

- Status changed from New to Assigned
- Assignee set to Robin Mills

- Target version set to 0.27

- % Done changed from 0 to 10

- Estimated time set to 20.00 h

Thanks for bringing this to my attention, Phil. I'll investigate and deal with this important matter.

Somebody brought up another PNG/metadata related matter last year. Something to do with imagemagik, | think. The user volunteered to work on
that. Ummm. I'll have to chase that up and find out where we are.

For your information, the Exiv2 code is now on GitHub https:/github.com/exiv2/exiv2 and Redmine will be made read-only when we release v0.27
later this year. I'll open an issue on GitHub to reference this.

#2 - 08 Jun 2018 13:36 - Phil Harvey
Robin Mills wrote:

For your information, the Exiv2 code is now on GitHub https:/github.com/exiv2/exiv2 and Redmine will be made read-only when we release
v0.27 later this year.

Thanks for pointing this out. | just followed the links from your home page -- you may want to update these.

#3 - 08 Jun 2018 13:46 - Robin Mills

That's fine, Phil. As you can see, | monitor Redmine as documented. When Exiv2 moved to GitHub with v0.26, | didn't know that GitHub provides a
bug tracking system. When we release v0.27, our docs and web pages will be changed to refer everybody to GitHub.

| have raised an issue on GitHub to "Link" this issue: https://github.com/Exiv2/exiv2/issues/360

#4 - 18 Sep 2018 12:29 - Robin Mills
- Status changed from Assigned to New

- Target version changed from 0.27 to 0.28
